Subject: Re: Git Library?

From: Jakub Narebski <[email-masked]>
Date: Tue, 29 Apr 2008 00:01:37 +0200

On Mon, 28 Apr 2008, Patrick Altman wrote:
> On Apr 28, 2008, at 4:08 PM, Jakub Narebski wrote:
>> Patrick Altman <[email-masked]> writes:
>>
>>> I want to write a Mac OSX UI for git.
>>
>> Something like GitNub?
> 
> Not really.  GitNub is really an interface for GitHub.  I am thinking  
> something more like ZigVersion, http://zigzig.com/, for Git instead of  
> Subversion.

Well, I thought that GitNub is something similar to gitk, i.e. it is
history browser, but in Ruby/Cocoa instead of Tcl/Tk.
 
>>> Is there a documented/undocumented API for interacting with git in
>>> process?  Or would I be better off "shelling out" to the git command
>>> line?
>>
>> Take a look how other GUIs does it.
> 
> git-gui is written in Tcl I believe, which I do not want to use.
> GitNub is the only other GUI of sorts that i am aware of but like I  
> mentioned above, that really is more of a GitHub interface and less of  
> a git interface.

Take a look at http://git.or.cz/gitwiki/InterfacesFrontendsAndTools
page: there is a list of GUIs there.  There is gitk and git-gui,
there is QGit and varipus PyQt GUIs, there is Giggle, there is tig.

> I think that this point I am just going to use NTask and the like in  
> Cocoa/Objective-C to wrap the command line utilities.

I think best would be to see how QGit does it...

-- 
Jakub Narebski
Poland